Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80863 - About chinese in console ( NOT in X Window )
Summary: About chinese in console ( NOT in X Window )
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: console-tools
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL: http://zhcon.gnuchina.org/index.html
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-01 10:27 UTC by sjinny
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-23 21:00:00 UTC


Attachments (Terms of Use)

Description sjinny 2003-01-01 10:27:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
> I choose Chinese language support and use Chinese when I install Redhat
> 8.0 with my disks.
> when I use some system config tools such as  "setup" under console (NOT
> in X Window) I see the text can't be display correctly.I think those is
> Chinese.
> I know a software can display Chinese that is call "zhcon".
> 
> Here are the web about zhcon.
> I hope you can see whether it is good to add zhcon into Redhat.
> http://zhcon.gnuchina.org/index.html
> http://sourceforge.net/projects/zhcon/
> ftp://ftp.gnuchina.org/pub/linux/chinese/inputmethod/console/zhcon/

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.choose chinese as the language of the system
2.log in as root under the console in text mode ( NOT in X Window )
3.type "setup"
    

Actual Results:  the "setup" runs but display chinese incorrectly

Expected Results:  display chinese correctly

Additional info:

Comment 1 Eido Inoue 2004-08-23 21:00:00 UTC
bterm can be used as a workaround for utf-8 chinese (and other
hanxi/hanja/kanji base languages).

however, setup and the other terminals, for chinese, should be run in
gnome-terminal or something similar for the best support.

the next release should have a console based CJK solution.


Note You need to log in before you can comment on or make changes to this bug.